Bug 952531

Summary: SELinux is preventing /usr/bin/python2.7 from 'name_connect' accesses on the tcp_socket .
Product: [Fedora] Fedora Reporter: Arindam Choudhury <arindam>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:3c929fef965982a99784ef0e9c026d81fbfe633c795315c98a1bb35ffacb2921
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-20 01:03:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Arindam Choudhury 2013-04-16 06:43:06 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed name_connect access on the  tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep python /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:quantum_t:s0
Target Context                system_u:object_r:keystone_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        python
Source Path                   /usr/bin/python2.7
Port                          35357
Host                          (removed)
Source RPM Packages           python-2.7.3-13.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-90.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.8.7-201.fc18.x86_64 #1 SMP Fri
                              Apr 12 19:46:19 UTC 2013 x86_64 x86_64
Alert Count                   6
First Seen                    2013-04-16 08:38:40 CEST
Last Seen                     2013-04-16 08:42:20 CEST
Local ID                      81d5aec9-6cfc-4fdb-ac31-0badf61defa0

Raw Audit Messages
type=AVC msg=audit(1366094540.990:1008): avc:  denied  { name_connect } for  pid=1076 comm="python" dest=35357 scontext=system_u:system_r:quantum_t:s0 tcontext=system_u:object_r:keystone_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1366094540.990:1008): arch=x86_64 syscall=connect success=no exit=EINPROGRESS a0=10 a1=7fff7ba6f830 a2=10 a3=15 items=0 ppid=1 pid=1076 auid=4294967295 uid=164 gid=164 euid=164 suid=164 fsuid=164 egid=164 sgid=164 fsgid=164 ses=4294967295 tty=(none) comm=python exe=/usr/bin/python2.7 subj=system_u:system_r:quantum_t:s0 key=(null)

Hash: python,quantum_t,keystone_port_t,tcp_socket,name_connect

audit2allow

#============= quantum_t ==============
allow quantum_t keystone_port_t:tcp_socket name_connect;

audit2allow -R
require {
	type quantum_t;
}

#============= quantum_t ==============
corenet_tcp_connect_keystone_port(quantum_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.7-201.fc18.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2013-04-16 08:33:26 UTC
Fixed in selinux-policy-3.11.1-91.fc18.noarch

Comment 2 Fedora Update System 2013-04-18 12:52:15 UTC
selinux-policy-3.11.1-91.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-91.fc18

Comment 3 Fedora Update System 2013-04-19 04:49:43 UTC
Package selinux-policy-3.11.1-91.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-91.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6018/selinux-policy-3.11.1-91.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-20 01:03:23 UTC
selinux-policy-3.11.1-91.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.